Bug 1248498 - Scripts/Binaries are not installed with +x bit
Scripts/Binaries are not installed with +x bit
Status: CLOSED DUPLICATE of bug 1225018
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
mainline
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: bugs@gluster.org
: EasyFix, Triaged
Depends On: 1223945 1225018
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 08:16 EDT by Kaleb KEITHLEY
Modified: 2015-07-30 08:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1223945
Environment:
Last Closed: 2015-07-30 08:17:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaleb KEITHLEY 2015-07-30 08:16:18 EDT
+++ This bug was initially created as a clone of Bug #1223945 +++

Hi,

the following files are installed by glusterfs without +x:

$libdir/ganesha/ganesha-ha.sh

--- Additional comment from Patrick Matthäi on 2015-05-21 15:05:27 EDT ---

Whops I forget to list some more files:

usr/share/glusterfs/scripts/generate-gfid-file.sh
usr/share/glusterfs/scripts/get-gfid.sh
usr/share/glusterfs/scripts/gsync-upgrade.sh
usr/share/glusterfs/scripts/post-upgrade-script-for-quota.sh
usr/share/glusterfs/scripts/pre-upgrade-script-for-quota.sh
usr/share/glusterfs/scripts/slave-upgrade.sh

--- Additional comment from Niels de Vos on 2015-05-26 08:17:53 EDT ---

The Makefile.am that is located in the directory of the scripts should not list the scripts as _DATA, but as a _SCRIPTS variable. Automake should then set the permissions correctly.
Comment 1 Kaleb KEITHLEY 2015-07-30 08:17:52 EDT

*** This bug has been marked as a duplicate of bug 1225108 ***
Comment 2 Kaleb KEITHLEY 2015-07-30 08:19:55 EDT

*** This bug has been marked as a duplicate of bug 1225018 ***

Note You need to log in before you can comment on or make changes to this bug.